<?php
/*
Plugin Name: CF7 Success Popup
Description: A plugin to replace CF7 messages with a nice looking popup.
Version: 1.0.1
Author: EasyToolsWP.com
*/

// Enqueue necessary scripts and styles
function cf7_custom_popup_enqueue_scripts() {
    ?>
    <style>
    .cf7-popup {
        position: fixed;
        top: 20%;
        left: 50%;
        transform: translate(-50%, -50%);
        padding: 20px;
        border-radius: 10px;
        z-index: 9999;
        max-width: 80%;
        text-align: center;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    }
    .cf7-popup.success {
        background-color: #dff0d8;
        color: #3c763d;
        border: 1px solid #3c763d;
    }
    .cf7-popup.error {
        background-color: #f2dede;
        color: #a94442;
        border: 1px solid #a94442;
    }
    .cf7-popup-inner {
        font-size: 16px;
    }
    </style>
    <script type="text/javascript">
    document.addEventListener('wpcf7mailsent', function(event) {
        cf7PopupHandler('success', event.detail.apiResponse.message);
    }, false);

    document.addEventListener('wpcf7invalid', function(event) {
        cf7PopupHandler('error', event.detail.apiResponse.message);
    }, false);

    document.addEventListener('wpcf7spam', function(event) {
        cf7PopupHandler('error', event.detail.apiResponse.message);
    }, false);

    document.addEventListener('wpcf7mailfailed', function(event) {
        cf7PopupHandler('error', event.detail.apiResponse.message);
    }, false);

    function cf7PopupHandler(status, message) {
        var popup = document.createElement('div');
        popup.className = 'cf7-popup ' + status;
        popup.innerHTML = '<div class="cf7-popup-inner">' + message + '</div>';
        document.body.appendChild(popup);
        setTimeout(function() {
            document.body.removeChild(popup);
        }, 5000);
    }
    </script>
    <?php
}
add_action('wp_footer', 'cf7_custom_popup_enqueue_scripts');
